<!-- archivo index.html -->

<!DOCTYPE html>
<html lang="es">
  <head><title>index.html</title></head>
  <body>
    <div id="app">
        <span>{{ horaActual() }}</span>
    </div>
    <!-- carga de la librerķa Vue.js -->
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script>
      const app = new Vue({
        el: "#app",
        created() {
          setInterval(() => this.$forceUpdate(), 1000);
        },
        methods: {
          horaActual() {
            const now = new Date();
            const hora   = ('0'+now.getHours()).slice(-2);
            const minuto  = ('0'+now.getMinutes()).slice(-2);
            const segundo = ('0'+now.getSeconds()).slice(-2);
            return strDate = `${hora}h${minuto} y ${segundo}s`;
          }  
        },
      });
    </script>
  </body>
</html>
